POST
/companies/v1/Create Company
The /companies/v1/ endpoint allows you to create a new company in our database.
General considerations
For the operation_country field, we expect a 3-character code following the ISO 3166 alpha-3 standard.
{{Dejamos una lista de ejemplos: }}
- ARG
- BRA
- CHL
- COL
- MEX
- PER
| Type of Company. | Description. | Country |
|---|---|---|
| COOP | Cooperative Society. | Brasil |
| ME | Microenterprise. | Brasil |
| MEI | Individual Microentrepreneur. | Brasil |
| EI | Individual Entrepreneur. | Brasil |
| SCP | Partnership in Participation. | Brasil |
| SLU | Sole Proprietorship Limited Company. | Brasil |
| EIRELI | Individual Limited Liability Company. | Brasil |
| SS | Simplified Corporation. | Brasil |
| LTDA | Limited Liability Company. | Brasil |
| EPP | Small Business. | Brasil |
| DEMAIS | Other companies. | Brasil |
| SA | Corporation. | Argentina |
| SRL | Limited Liability Company. | Argentina |
| SAS | Simplified Stock Corporation. | Argentina |
| SELF_COMPANY | Sole Proprietorship. | Argentina |
| RI | Responsible Registered. | Argentina |
| SELF_EMPLOYED | Monotributista. | Argentina |
| SH | Simple Limited Partnership. | Argentina |
| CAP_ISECC\IV | Capital and Industry Company Section IV. | Argentina |
| SIMPLE_SOC | Simple Partnership. | Argentina |
| SAU | Sole Shareholder Corporation. | Argentina |
| SGR | Reciprocal Guarantee Company. | Argentina |
| ESCROW | Trust. | Argentina |
| CONSORTIUM | Consortium. | Argentina |
| COOPERATIVE | Cooperative. | Argentina |
| CIVIL_SOCIETY | Civil Partnership. | Argentina |
| CIVIL_ASSOCIATION | Civil Association. | Argentina |
| SACIFIA | Public Limited Company with Majority State Participation. | Argentina |
| SA | Corporation. | Colombia |
| LTDA | Limited Company. | Colombia |
| SAS | Simplified Joint Stock Company. | Colombia |
| SCS | Simple Limited Partnership. | Colombia |
| SCA | Joint Stock Limited Partnership. | Colombia |
| SCOL | Collective Partnership. | Colombia |
| EU | Sole Proprietorship. | Colombia |
| SC | Civil Partnership. | Colombia |
| COOP | Cooperative. | Colombia |
| ESAL | Non-Profit Entity. | Colombia |
| EAT | Work Cooperative Company. | Colombia |
| SA | Corporation. | Perú |
| SRL | Limited Liability Commercial Company. | Perú |
| SGR | Reciprocal Guarantee Company. | Perú |
| SS | Simple Partnership. | Perú |
| SCS | Simple Limited Partnership. | Perú |
| SCA | Joint Stock Limited Partnership. | Perú |
| SC | Collective Partnership. | Perú |
| EIRL | Individual Limited Liability Company. | Perú |
| SAA | Public Limited Company. | Perú |
| SAC | Closed Corporation. | Perú |
| COOP | Cooperative. | Perú |
| SCIVIL | Ordinary Civil Partnership. | Perú |
| SCIVILDRL | Limited Liability Civil Partnership. | Perú |
| SA | Corporation. | México |
| SRL | Limited Liability Company. | México |
| SACV | Variable Capital Corporation. | México |
| SRLCV | Limited Liability Company with Variable Capital. | México |
| SAS | Simplified Stock Corporation. | México |
| SAB | Stock Corporation. | México |
| SCS | Simple Limited Partnership. | México |
| SCA | Joint Stock Limited Partnership. | México |
| SNC | General Partnership. | México |
| COOP | Cooperative Society. | México |
| SAPI | Public Limited Company Promoting Investment. | México |
| AC | Civil Association. | México |
| IAP | Private Assistance Institution. | México |
| SA | Corporation. | Chile |
| LTDA | Limited Liability Company. | Chile |
| SAS | Simplified Stock Corporation. | Chile |
| SAGR | Reciprocal Guarantee Company. | Chile |
| SCS | Simple Limited Partnership. | Chile |
| SCA | Joint Stock Limited Partnership. | Chile |
| SC | Collective Partnership. | Chile |
| EIRL | Sole Proprietorship. | Chile |
| SCV | Civil Partnership. | Chile |
| COOP | Cooperative Society. | Chile |
| SCC | Commercial Collective Partnership. | Chile |
Considerations regarding the tax documents to be used
Brazil: The accepted fiscal document type is the CNPJ.
Argentina: The accepted tax document type is the CUIT. Required fields: legal_address, email, trade_name, legal_name, phone, type, tax_condition, tax_identification_type, tax_identification_value
Available parameters
Header Parameters
AuthorizationStringrequired
x-idempotency-keyStringrequired
Cuerpo de solicitud
application/jsonlegal_namestring
trade_namestring
tax_identification_typeenumrequired
tax_identification_valuestringrequired
emailstring
phonestring
operation_countrystringrequired
typeenum
tax_conditionenum
external_idstring
legal_addressobject10 properties
Response details
401
Unauthorized
Ejemplo de solicitud
{
"legal_name": "Pomelo SAS",
"trade_name": "Pomelo",
"tax_identification_type": "CNPJ",
"tax_identification_value": "43.856.175/0001-08",
"email": "[email protected]",
"phone": "1123456789",
"operation_country": "ARG",
"type": "MEI",
"tax_condition": "VAT_REGISTERED",
"external_id": "example-cmp-001",
"legal_address": {
"street_name": "Av. Corrientes",
"street_number": 300,
"floor": 1,
"apartment": "A",
"zip_code": 1414,
"neighborhood": "Villa Crespo",
"city": "CABA",
"region": "Buenos Aires",
"additional_info": "Torre 2",
"country": "ARG"
}
}Ejemplo de código
curl -X POST "https://api.pomelo.la/companies/v1/" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "x-idempotency-key: fRwX12Dg3345AD" \
-d '{
"legal_name": "Pomelo SAS",
"trade_name": "Pomelo",
"tax_identification_type": "CNPJ",
"tax_identification_value": "43.856.175/0001-08",
"email": "[email protected]",
"phone": "1123456789",
"operation_country": "ARG",
"type": "MEI",
"tax_condition": "VAT_REGISTERED",
"external_id": "example-cmp-001",
"legal_address": {
"street_name": "Av. Corrientes",
"street_number": 300,
"floor": 1,
"apartment": "A",
"zip_code": 1414,
"neighborhood": "Villa Crespo",
"city": "CABA",
"region": "Buenos Aires",
"additional_info": "Torre 2",
"country": "ARG"
}
}'Ejemplo de respuesta (201)Company created
{
"data": {
"id": "cmp-2E5eUyw1ZolEj1Y3NHxnob7bFZe",
"legal_name": "Pomelo SAS",
"trade_name": "Pomelo",
"tax_identification_type": "CNPJ",
"tax_identification_value": "43.856.175/0001-08",
"email": "[email protected]",
"phone": "1123456789",
"operation_country": "ARG",
"type": "MEI",
"tax_condition": "VAT_REGISTERED",
"external_id": "example-cmp-001",
"legal_address": {
"street_name": "Av. Corrientes",
"street_number": 300,
"floor": 1,
"apartment": "A",
"zip_code": 1414,
"neighborhood": "Villa Crespo",
"city": "CABA",
"region": "Buenos Aires",
"additional_info": "Torre 2",
"country": "ARG"
},
"status": "ACTIVE"
}
}